//Server
const express = require("express"); 
const app = express();
const bodyParser = require('body-parser'); 

const {mongoose} = require("./db/db");
const userController = require("./controllers/userController");

app.get("/", (req, res) => {
    res.send("Hello There");
});

app.use(bodyParser.urlencoded({ extended: false }));
app.use(bodyParser.json());

app.use("/user", userController);

app.listen(3000, () => {
    console.log("Server is running on port 3000");
});
